var MT4Date =
{
  convert: function(input)
  {
    if (!(typeof input === "string")) throw "ISODate, convert: input must be a string";
    var d = input.match(/^(\d{4})\.(\d{2})\.(\d{2}) (\d{2}):(\d{2})(:(\d{2}))?$/i);
    if (!d)
    {
      d = input.match(/^(\d{4})\.(\d{2})\.(\d{2})$/i);
      if(!d)
      {
        throw("MT4Date convert: Illegal format - " + input);
      }
      return new  Date(d[1],d[2]-1,d[3]);
    }
    return new  Date(d[1],d[2]-1,d[3],d[4],d[5],0,0);
  },
  format: function(input)
  {
    var pad = function(val, len)
    {
      val = String(val);
      len = len || 2;
      while(val.length < len) val = "0" + val;
      return val;
    };
    return input.getFullYear() + '.' + pad(input.getMonth(), 2) + '.' + pad(input.getDate(), 2) + ' ' +
    pad(input.getHours(), 2) + ':' + pad(input.getMinutes(), 2);
  },
  calcBusinessDays: function (dDate1, dDate2) // inputs are Date objects
  {
    var iWeeks, iDateDiff, iAdjust = 0;
    if (dDate2 < dDate1) return -1;                 // error code if dates transposed

    var iWeekday1 = dDate1.getDay();                // day of week
    var iWeekday2 = dDate2.getDay();

    iWeekday1 = (iWeekday1 == 0) ? 7 : iWeekday1;   // change Sunday from 0 to 7
    iWeekday2 = (iWeekday2 == 0) ? 7 : iWeekday2;

    if((iWeekday1 > 5) && (iWeekday2 > 5)) iAdjust = 1;  // adjustment if both days on weekend

    iWeekday1 = (iWeekday1 > 5) ? 5 : iWeekday1;    // only count weekdays
    iWeekday2 = (iWeekday2 > 5) ? 5 : iWeekday2;

    // calculate differnece in weeks (1000mS * 60sec * 60min * 24hrs * 7 days = 604800000)
    iWeeks = Math.floor((dDate2.getTime() - dDate1.getTime()) / 604800000)

    if(iWeekday1 <= iWeekday2)
    {
      iDateDiff = (iWeeks * 5) + (iWeekday2 - iWeekday1)
    }
    else
    {
      iDateDiff = ((iWeeks + 1) * 5) - (iWeekday1 - iWeekday2)
    }

    iDateDiff -= iAdjust                            // take into account both days on weekend

    return iDateDiff;                         // do not[add 1 because dates are inclusive]
  }
};
